Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class CmsdkMediaDriver

    java.lang.Object
      oracle.ifs.server.CmsdkMediaDriver

All Implemented Interfaces:
  CustomMediaDriver

    public class CmsdkMediaDriver

extends java.lang.Object
implements CustomMediaDriver

Constructor Summary
`CmsdkMediaDriver()`

Method Summary
`void` | `destroyContent(S_MediaCustom media, java.lang.String address, java.lang.Long cid, AttributeValue[] mediaOptions)` Destroys content with the specified content address.
`protected java.lang.Object` | `getBinary(S_MediaCustom media, java.lang.Long cid)` Gets the InputStream for the specified content id.
`java.io.InputStream` | `getContent(S_MediaCustom media, java.lang.String address)` Gets the content for the specified content address.
`long` | `getContentSize(S_MediaCustom media, java.lang.String address)` Gets the content size, in bytes, for the specified content address.
`RandomAccessDriver` | `getRandomAccessorDriver(S_MediaCustom media, java.lang.String address)` Gets a RandomAccessDriver for the specified content address.
`void` | `initialize(S_CustomMediaDriverSpecification cmds)` Initializes this CustomMediaDriver.
`java.lang.String` | `setContent(S_MediaCustom media, java.lang.Long cid, java.io.InputStream is, AttributeValue[] mediaOptions)` Stores content from the supplied InputStream.
`java.lang.String` | `setContentReference(S_MediaCustom media, java.lang.Long cid, java.lang.String contentReference, AttributeValue[] mediaOptions)` Stores content determined from a specified content reference.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CmsdkMediaDriver

    public CmsdkMediaDriver()

Method Detail

### initialize

    public void initialize(S_CustomMediaDriverSpecification cmds)
                    throws IfsException

  Description copied from class: `CmsdkMediaDriver`
  Initializes this CustomMediaDriver.

  Specified by:
    `initialize` in interface `CustomMediaDriver`
  Parameters:
    `cmds` - the CustomMediaDriver specification
  Throws:
    `IfsException` - 13800: if the operation fails

### getContent

    public java.io.InputStream getContent(S_MediaCustom media,
                                          java.lang.String address)
                                   throws IfsException

  Description copied from class: `CmsdkMediaDriver`
  Gets the content for the specified content address.

  Specified by:
    `getContent` in interface `CustomMediaDriver`
  Parameters:
    `media` - the MediaCustom instance
    `address` - the content address
  Returns:
    the content
  Throws:
    `IfsException` - 13801: if the operation fails

### getContentSize

    public long getContentSize(S_MediaCustom media,
                               java.lang.String address)
                        throws IfsException

  Description copied from class: `CmsdkMediaDriver`
  Gets the content size, in bytes, for the specified content address.

  Specified by:
    `getContentSize` in interface `CustomMediaDriver`
  Parameters:
    `media` - the MediaCustom instance
    `address` - the content address
  Returns:
    the size
  Throws:
    `IfsException` - 13802: if the operation fails

### setContent

    public java.lang.String setContent(S_MediaCustom media,
                                       java.lang.Long cid,
                                       java.io.InputStream is,
                                       AttributeValue[] mediaOptions)
                                throws IfsException

  Description copied from class: `CmsdkMediaDriver`
  Stores content from the supplied InputStream.

  Specified by:
    `setContent` in interface `CustomMediaDriver`
  Parameters:
    `media` - the MediaCustom instance
    `cid` - the content id
    `is` - the content
    `mediaOptions` - a set of name/value pairs whose semantics are determined by the CustomMediaDriver implementation, or null for no media options
  Returns:
    the content address
  Throws:
    `IfsException` - 13803: if the operation fails

### setContentReference

    public java.lang.String setContentReference(S_MediaCustom media,
                                                java.lang.Long cid,
                                                java.lang.String contentReference,
                                                AttributeValue[] mediaOptions)
                                         throws IfsException

  Description copied from class: `CmsdkMediaDriver`
  Stores content determined from a specified content reference.

  The interpretation of `contentReference` is determined by the CustomMediaDriver implementation. Some implementations may store its value, while others may resolve its value (in a implementation determined fashion) to other content and store that content instead.

  Specified by:
    `setContentReference` in interface `CustomMediaDriver`
  Parameters:
    `media` - the MediaCustom instance
    `cid` - the content id
    `contentReference` - the content reference
    `mediaOptions` - a set of name/value pairs whose semantics are determined by the CustomMediaDriver implementation, or null for no media options
  Returns:
    the content address
  Throws:
    `IfsException` - 13804: if the operation fails

### getRandomAccessorDriver

    public RandomAccessDriver getRandomAccessorDriver(S_MediaCustom media,
                                                      java.lang.String address)
                                               throws IfsException

  Description copied from class: `CmsdkMediaDriver`
  Gets a RandomAccessDriver for the specified content address.

  Specified by:
    `getRandomAccessorDriver` in interface `CustomMediaDriver`
  Parameters:
    `media` - the MediaCustom instance
    `address` - the content address
  Returns:
    the RandomAccessDriver
  Throws:
    `IfsException` - 13805: if the operation fails

### destroyContent

    public void destroyContent(S_MediaCustom media,
                               java.lang.String address,
                               java.lang.Long cid,
                               AttributeValue[] mediaOptions)
                        throws IfsException

  Description copied from class: `CmsdkMediaDriver`
  Destroys content with the specified content address.

  Specified by:
    `destroyContent` in interface `CustomMediaDriver`
  Parameters:
    `media` - the MediaCustom instance
    `address` - the content address
    `cid` - the content id
    `mediaOptions` - a set of name/value pairs whose semantics are determined by the CustomMediaDriver implementation, or null for no media options
  Throws:
    `IfsException` - 13806: if the operation fails

### getBinary

    protected java.lang.Object getBinary(S_MediaCustom media,
                                         java.lang.Long cid)
                                  throws IfsException

  Description copied from class: `CmsdkMediaDriver`
  Gets the InputStream for the specified content id.

  Parameters:
    `media` - the media custom object
    `cid` - the content id
  Returns:
    the InputStream
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD